[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomTrayIcon.OnMouseMove

Event handler signalled when a WM_MOUSEMOVE message is handled for the tray icon.

## Declaration

Source position: extctrls.pp line 1474

`public property TCustomTrayIcon.OnMouseMove : TMouseMoveEvent read FOnMouseMove write FOnMouseMove;`

## Description

OnMouseMove is a TMouseMoveEvent property with the event handler signalled when a mouse move message is handled in the message processing loop for the task bar / system tray. It is signalled (when assigned) when the WM_MOUSEMOVE message is detected in the WndProc routine for the system tray. Arguments for the event handler include the Application for the event notification, the Ctrl/Alt/Shift state for the mouse event, and the current coordinates for the mouse pointer.

OnMouseMove is a callback routine provided for the widgetset class instance.